@charset "utf-8";
/*@import url("https://www.oozeki-shop.com/data/bunkoya/image/include/newstyle.css");
******最終形********/
#menu_container{
  width: 100%;max-width: 1220px;
  margin: 0 auto;
}
#menu_container * {
  box-sizing: border-box;  margin:0;padding:0;
}
#menu_container .title-bar{/*menu_containerの後であること*/
  font-family: "M PLUS Rounded 1c", sans-serif;
  text-align:right;
  background:#efcaca;/*タイトル濃色*/
  color:#4f3424;
  padding: 0.8em;
}
#menu_container .title-bar a {
  color: #4f3424;
}
#menu_container ul li span{
 font-family: "Zen Maru Gothic", sans-serif;
}
#menu_container a {
  text-decoration: none;  margin:0;padding:0;line-height:0;
  color: #000;
}
#menu_container a:hover {
  opacity: 0.85;
}

.row-images {
  display: flex;
  line-height: 0;
  justify-content: space-between;
}
.row-images a {
  display:flex;
  align-items: center;
  justify-content:center;
}
.row-images img {
  max-width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
  margin:0;padding:0;line-height:0;
}

.row-images2 {
  display: flex;
  flex-wrap:nowrap;
  justify-content: space-between;
  line-height: 0;
}
.row-images2 a {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.row-images2 img {
  max-width: 100%;
  height: auto;
  object-fit: contain;
  display: block;
  margin:0;padding:0;line-height:0;
}

/*========================================
アイテム一覧
========================================*/

#menu_container ul {
  margin:0;
  height:auto;
  padding-top: 1.5em;
  padding-bottom: 1em;/**/
  background-color: #f1ede4;/*アイテムリスト背景薄い色*/
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-content: flex-start;
}
 #menu_container li {
  list-style:none;
  margin: 0.4em 1%;
  width: 23%;
  position: relative;
 }
#menu_container li:last-child { margin-right: auto; }

.image-wrapper {
  position: relative;
  display: inline-block;
  padding:0;
}
.image-wrapper img{
  width: 100%;
  height: auto;
  border-radius: 6px; /* ← 角丸 */
  border: 0.1em solid #ccc;
  display: block;
  margin: 0 auto;
}
.badge-limited::before {/*限定品バッジ*/
  content: "";
  position: absolute;
  top: 0em;
  left: 0em;
  width: 27px;
  height: 11px;
  background: url("https://www.oozeki-shop.com/data/bunkoya/image/free/other/limited-r.gif") no-repeat;
  background-size: contain;
  z-index: 5;
}

@media screen and (min-width:1409px) { /******************pc*/
  #menu_container li a {
    display: flex !important;
    flex-direction: row;
    align-items: center;
    gap: 0.6em;
    font-size: 0.8em;
    line-height: 1.2;font-weight:400;
  }

  #menu_container li span {
    display: block;
  }
  #menu_container li span:first-child {
  flex: 0 0 120px;
  }
  #menu_container li span:last-child {/*品名*/
    flex: 1;
    white-space: normal;
    word-break: break-word;
    overflow-wrap: break-word;
    line-height: 1.4;letter-spacing: -0.08em;
  }
  .image-wrapper img {
    max-width: 120px;
    display: block;
  }

}
@media screen and (max-width:1408px) and (min-width:801px) {/*中間サイズ これより小さいものは品名が下につく*/

  #menu_container li a {
    font-size: 0.75em;
    font-weight: 400;
    display: block;
    text-align: center;
  }
  #menu_container ul {
    height:auto;
    margin:0 auto;
    justify-content: space-between;
    overflow-y: auto;
    scrollbar-width: none;           /* Firefox */
    -ms-overflow-style: none;        /* Internet Explorer 10+ */
  }
  #menu_container li {
    width: 18%;/*中間サイズの画像の大きさ*/
    text-align:center;
    overflow: hidden;
  }
  #menu_container li.limited li.new span:last-child:before {/*新や限定アイコンつけるとき*/
    width: 3.5em;
    height: 3.5em;
    position: absolute;
    left: 1%;
    top: 0;
  }
  #menu_container li span:first-child {
  	margin: 0 auto;
  }
  #menu_container li span:last-child {/*品名*/
    display: block;
    margin-top: 0.4em; margin-bottom: 0.5em;
    line-height:110%;
    white-space: normal;
    word-break: break-word;
    overflow-wrap: break-word;
    letter-spacing: -0.08em;
  }

}

@media screen and (max-width:800px) { /********sph*/
  #menu_container ul {
    margin:0 auto;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; 
  }
  #menu_container li {
    width: 23%;
    overflow: hidden;
    justify-content: space-between;
  }
  #menu_container li a {
    display: block !important;
    flex-direction: column !important;
    align-items: center !important;
    font-size: 0.75em;
    font-weight: 400;
    line-height: 1.1;
    text-align: center;
    margin: 0;
    padding: 0;
  }
  #menu_container li.limited li.new span:last-child:before {
    width: 3.5em;
    height: 2.5em;
    position: absolute;
    left: 1%;
    top: 0;
  }
  #menu_container li span:first-child {
    display: block;
    margin: 0 auto;
    padding: 0;
  }
  #menu_container li span:last-child {/*品名*/
    display: block;
    margin-right: auto;    margin-top: 0.3em; 
    line-height: 1.2;
    letter-spacing: -0.08em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-top: 0.4em;
}

}
@media screen and (max-width:650px) { /*sph2*/
  #menu_container ul {
  margin:0 auto;
  justify-content: space-between;
  }
#menu_container .title-bar{
  padding: 0.7em;
}
  #menu_container li {
    width: 31%;
  }
  .image-wrapper img {
   max-width: 100%; 
  }
  #menu_container li a {
    font-size: 0.7em;
  }
}